# TSS

## v3

- [Why TSS](https://docs.tss-react.dev/v3-1/readme.md): makeStyles is dead. Long live makeStyles.
- [Setup](https://docs.tss-react.dev/v3-1/readme-1.md): Start using TSS, with or without MUI
- [API References](https://docs.tss-react.dev/v3-1/page-1.md)
- [makeStyles -> useStyles](https://docs.tss-react.dev/v3-1/page-1/makestyles-usestyles.md)
- [withStyles](https://docs.tss-react.dev/v3-1/page-1/withstyles.md)
- [\<GlobalStyles />](https://docs.tss-react.dev/v3-1/page-1/globalstyles.md)
- [keyframes](https://docs.tss-react.dev/v3-1/page-1/keyframes.md)
- [useMergedClasses](https://docs.tss-react.dev/v3-1/page-1/usemergedclasses.md)
- [Cache](https://docs.tss-react.dev/v3-1/readme-1-1.md): How to integrate emotion cache with TSS
- [Nested selectors (ex $ syntax)](https://docs.tss-react.dev/v3-1/nested-selectors.md)
- [SSR](https://docs.tss-react.dev/v3-1/ssr.md): How to configure Server Side Sendering
- [Gatsby](https://docs.tss-react.dev/v3-1/ssr/gatsby.md)
- [Next.js](https://docs.tss-react.dev/v3-1/ssr/next.js.md)
- [Other backends](https://docs.tss-react.dev/v3-1/ssr/other-backends.md): Configure SSR in in frameworks other than Next.js like for example Express.js
- [Your own classes prop](https://docs.tss-react.dev/v3-1/your-own-classes-prop.md): Enable users of the components to overrides the internal styles by accepting a class props.
- [MUI Theme styleOverrides](https://docs.tss-react.dev/v3-1/mui-theme-styleoverrides.md)
- [Detecting unused classes](https://docs.tss-react.dev/v3-1/detecting-unused-classes.md)
- [Publish a module that uses TSS](https://docs.tss-react.dev/v3-1/publish-a-module-that-uses-tss.md): How to express you dependencies requirements
- [single-spa](https://docs.tss-react.dev/v3-1/single-spa.md): How to integrate with single-spa
- [React Native](https://docs.tss-react.dev/v3-1/react-native.md)

## v4

- [Setup](https://docs.tss-react.dev/readme.md): Start using TSS, with or without MUI
- [API References](https://docs.tss-react.dev/api.md)
- [tss - the Modern API](https://docs.tss-react.dev/api/tss-usestyles.md)
- [keyframes](https://docs.tss-react.dev/api/keyframes.md)
- [\<GlobalStyles />](https://docs.tss-react.dev/api/globalstyles.md)
- [makeStyles -> useStyles](https://docs.tss-react.dev/api/makestyles.md)
- [withStyles](https://docs.tss-react.dev/api/withstyles.md)
- [SSR](https://docs.tss-react.dev/ssr.md): How to configure Server Side Rendering
- [Next.js](https://docs.tss-react.dev/ssr/next.js.md)
- [Gatsby](https://docs.tss-react.dev/ssr/gatsby.md)
- [Other backends](https://docs.tss-react.dev/ssr/other-backends.md): Configure SSR in in frameworks other than Next.js like for example Express.js
- [Increase specificity](https://docs.tss-react.dev/increase-specificity.md)
- [classes overrides](https://docs.tss-react.dev/your-own-classes-prop.md): Overriding internal styles by user provided styles.
- [Detecting unused classes](https://docs.tss-react.dev/detecting-unused-classes.md)
- [Emotion Cache](https://docs.tss-react.dev/cache.md): How to integrate emotion cache with TSS
- [Nested selectors (ex $ syntax)](https://docs.tss-react.dev/nested-selectors.md)
- [MUI Global styleOverrides](https://docs.tss-react.dev/mui-global-styleoverrides.md)
- [Publish a module that uses TSS](https://docs.tss-react.dev/publish-a-module-that-uses-tss.md): How to express you dependencies requirements
- [MUI sx syntax](https://docs.tss-react.dev/mui-sx-syntax.md)
- [React Native](https://docs.tss-react.dev/react-native.md)
- [Fix broken styles after upgrading to MUI v5 with TSS](https://docs.tss-react.dev/troubleshoot-migration-to-muiv5-with-tss.md)
- [Migration v3 -> v4](https://docs.tss-react.dev/update-to-v4.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information, you can query the documentation dynamically by asking a question.
Perform an HTTP GET request on a page URL with the `ask` query parameter:
```
GET https://docs.tss-react.dev/readme.md?ask=<question>
```
The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.
Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
